Package org.apache.sysds.runtime.instructions.spark.functions

# Class ConvertFrameBlockToIJVLines

java.lang.Object
org.apache.sysds.runtime.instructions.spark.functions.ConvertFrameBlockToIJVLines

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.FlatMapFunction<scala.Tuple2<Long,FrameBlock>,String>`

public class ConvertFrameBlockToIJVLines extends Object implements org.apache.spark.api.java.function.FlatMapFunction<scala.Tuple2<Long,FrameBlock>,String>

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ConvertFrameBlockToIJVLines()`

## Method Summary

Modifier and Type
Method
Description
`Iterator<String>`
`call(scala.Tuple2<Long,FrameBlock> kv)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConvertFrameBlockToIJVLines

public ConvertFrameBlockToIJVLines()

## Method Details

### call

public Iterator<String> call(scala.Tuple2<Long,FrameBlock> kv) throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.FlatMapFunction<scala.Tuple2<Long,FrameBlock>,String>`
Throws:
  `Exception`